Bug 190074 - www/nginx github/agentzh and github/chaoslawful dependencies have been moved to github/openresty
www/nginx github/agentzh and github/chaoslawful dependencies have been moved ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey A. Osokin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-21 15:30 UTC by mike.walker+freebsdpr
Modified: 2015-03-29 10:59 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (17.83 KB, patch)
2014-05-21 15:30 UTC, mike.walker+freebsdpr
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mike.walker+freebsdpr 2014-05-21 15:30:00 UTC
The github repositories containing (at least) the following nginx modules have been moved to the "openresty" github account:

agentzh/echo-nginx-module
agentzh/headers-more-nginx-module
chaoslawful/lua-nginx-module
agentzh/set-misc-nginx-module

That's 4 of the total of 13 modules that rely on a github project under "agentzh" or "chaoslawful", I haven't checked the others but I'd assume they might be impacted as well.

The actual impact of this is the distribution files for each module have changed, resulting in different sha hashes, file sizes, and file names breaking the checks done against distinfo.

This problem is also what caused PR ports/189440: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/189440

Fix: I was able to get all the modules to compile successfully by manually downloading them into /usr/ports/distfiles and updating Makefile and distinfo as attached (as well as renaming one of the impacted patch files)

There was some weirdness too around how the files are downloaded, like github going through a couple redirects before the actual file was available.

Patch attached with submission follows:
How-To-Repeat: Attempting to build the nginx port with the following flags:

    make -DBATCH PORT_OPTIONS="IPV6 HTTP_ADDITION HTTP_RANDOM_INDEX HTTP HTTP_CACHE HTTP_REWRITE HTTP_GZIP_STATIC HTTP_IMAGE_FILTER HTTP_STATUS HTTP_PERL WWW TCP_PROXY LUA SET_MISC HEADERS_MORE ECHO HTTP_UPLOAD HTTP_REALIP HTTP_SSL HTTP_SUB HTTP_SUBS_FILTER HTTP_UPLOAD_PROGRESS HTTP_SECURE_LINK HTTP_MP4 LOG_IF" clean build package    

Results in the following error message:


===>  Cleaning for nginx-1.6.0,2


===>  License BSD accepted by the user
===>   nginx-1.6.0,2 depends on file: /usr/local/sbin/pkg - found
=> nginx-1.6.0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://nginx.org/download/nginx-1.6.0.tar.gz
nginx-1.6.0.tar.gz                            100% of  784 kB  253 kBps 00m03s
=> agentzh-echo-nginx-module-v0.51-0-g44c92a5.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://github.com/agentzh/echo-nginx-module/tarball/v0.51/agentzh-echo-nginx-module-v0.51-0-g44c92a5.tar.gz
fetch: https://github.com/agentzh/echo-nginx-module/tarball/v0.51/agentzh-echo-nginx-module-v0.51-0-g44c92a5.tar.gz: size unknown
fetch: https://github.com/agentzh/echo-nginx-module/tarball/v0.51/agentzh-echo-nginx-module-v0.51-0-g44c92a5.tar.gz: size of remote file is not known
agentzh-echo-nginx-module-v0.51-0-g44c92a5.tar          61 kB  191 kBps 00m01s
=> Fetched file size mismatch (expected 63455, actual 63469)
=> Attempting to fetch http://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/agentzh-echo-nginx-module-v0.51-0-g44c92a5.tar.gz
fetch: http://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/agentzh-echo-nginx-module-v0.51-0-g44c92a5.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** Error code 1

Stop.
make: stopped in /usr/ports/www/nginx
Comment 1 Edwin Groothuis freebsd_committer 2014-05-21 15:30:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 commit-hook freebsd_committer 2014-06-02 10:58:27 UTC
A commit references this bug:

Author: osa
Date: Mon Jun  2 10:57:40 UTC 2014
New revision: 356210
URL: http://svnweb.freebsd.org/changeset/ports/356210

Log:
  Multiple third-party modules as well as repos have been moved from agentzh and chaoslawful
  to openresty and renamed accordingly.

  Do not dump PORTREVISION.

  PR:	190074

Changes:
  head/www/nginx/Makefile
  head/www/nginx/distinfo
  head/www/nginx/files/extra-patch-agentzh-set-misc-nginx-module-config
  head/www/nginx/files/extra-patch-openresty-set-misc-nginx-module-config
  head/www/nginx-devel/Makefile
  head/www/nginx-devel/distinfo
  head/www/nginx-devel/files/extra-patch-agentzh-set-misc-nginx-module-config
  head/www/nginx-devel/files/extra-patch-openresty-set-misc-nginx-module-config
Comment 3 Bartek Rutkowski freebsd_committer 2015-03-29 10:59:33 UTC
The fix has been already committed, so I am closing this PR.